> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerocash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction



## OpenAPI

````yaml GET /api/b2b/transactions/{transactionId}
openapi: 3.1.0
info:
  title: Zerocash API
  version: 1.0.0
  description: >-
    The Zerocash API lets you collect payments (charges) and disburse funds
    (payouts) across supported markets through a single, unified integration.
servers:
  - url: https://api.zerocash.tech
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Obtain and manage API credentials.
  - name: Reference Data
    description: Look up countries, banks, operators, and rates before transacting.
  - name: Charges
    description: Collect payments from your customers.
  - name: Payouts
    description: Disburse funds to recipients.
  - name: Transactions
    description: Retrieve and reconcile transactions.
  - name: Webhooks
    description: Receive and replay real-time event notifications.
paths:
  /api/b2b/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: Get Transaction
      operationId: get-transaction
      parameters:
        - name: transactionId
          in: path
          description: >-
            Transaction ID you'd like to query. External reference can also be
            passed here.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "success": true,
                      "data": {
                        "transactionId": 'lBK9bMny2gs4hLsG3XGq',
                        "amount": 25,
                        "type": 'deposit',
                        "currency": 'KES',
                        "senderCurrency": 'KES',
                        "senderAmount": 25,
                        "receiverCurrency": 'KES',
                        "receiverAmount": 25,
                        "chargeStatus": 'successful',
                        "status": 'SUCCESSFUL',
                        "method": 'momo',
                        "note": 'TFH174NFSJ Confirmed. Ksh25.00 sent to Zerocash 722223344 on 17/06/25 at 1:17 AM. Transaction cost, Ksh0.00.',
                        "fullTimestamp": '2025-06-17T01:16:44+03:00',
                        "externalReference": "test",
                        "thirdPartyReference": 'TFH174NFSJ',
                        "phoneNumber": '+254722664932'
                      }
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````